<?php
/**
 * Concord CRM - https://www.concordcrm.com
 *
 * @version   1.5.0
 *
 * @link      Releases - https://www.concordcrm.com/releases
 * @link      Terms Of Service - https://www.concordcrm.com/terms
 *
 * @copyright Copyright (c) 2022-2024 KONKORD DIGITAL
 */

return [
    'document' => 'Documento',
    'documents' => 'Documentos',
    'create' => 'Criar Documento',
    'info' => 'Envie cotações, propostas e contratos personalizáveis para fechar negócios mais rapidamente.',
    'view' => 'Ver',
    'manage_documents' => 'Gerenciar Documentos',
    'total_documents' => 'Total de Documentos',
    'total_draft_documents' => 'Total de Rascunhos de Documentos',
    'deleted' => 'Documento excluído com sucesso',
    'document_details' => 'Detalhes do Documento',
    'document_activity' => 'Atividade do Documento',
    'document_products' => 'Produtos do Documento',
    'download_pdf' => 'PDF',
    'view_pdf' => 'Ver PDF no Navegador',
    'accept' => 'Aceitar',
    'sign' => 'Assinar',
    'sent' => 'Documento envado com sucesso',
    'deal_description' => 'Quando o negócio é selecionado, o negócio será automaticamente associado ao documento, os contatos do negócio serão adicionados como signatários e todos os produtos do negócio serão adicionados ao documento.',
    'limited_editing' => 'Este documento está aceito, as habilidades de edição são limitadas.',
    'title' => 'Título',
    'copy_url' => 'Copiar URL público do documento',
    'url_copied' => 'URL copiado para a área de transferência',
    'count' => [
        'all' => '1 documento | :count documentos',
    ],
    'sections' => [
        'details' => 'Detalhes',
        'send' => 'Enviar',
        'signature' => 'Assinatura',
        'content' => 'Conteúdo',
        'products' => 'Produtos',
    ],
    'status' => [
        'status' => 'Status',
        'draft' => 'Rascunho',
        'sent' => 'Enviado',
        'accepted' => 'Aceito',
        'lost' => 'Perdido',
    ],
    'send' => [
        'select_brand' => 'Selecione primeiro uma marca para enviar o documento.',
        'connect_an_email_account' => 'Conecte uma conta de e-mail para enviar documentos.',
        'send_from_account' => 'Envie o documento da seguinte conta',
        'save_to_schedule' => 'Para agendar o envio do documento, você precisará primeiro salvar o documento',
        'send_subject' => 'Assunto da Mensagem',
        'send_body' => 'Texto da Mensagem',
        'send_later' => 'Enviar depois?',
        'send' => 'Enviar Documento',
        'select_schedule_date' => 'Selecione data e hora',
        'schedule' => 'Agendar',
        'is_scheduled' => 'Este documento está programado para ser enviado em :date',
        'send_to_signers' => 'Envie o documento para os seguintes signatários',
        'send_to_signers_empty' => 'Para enviar o documento aos signatários, adicione os signatários na seção "Assinatura".',
    ],
    'sent_by' => 'Enviado por',
    'sent_at' => 'Enviado em :date',
    'signers' => [
        'add' => 'Adicionar novo signatário',
        'no_signers' => 'Nenhum signatário, adicione signatários para este documento.',
        'is_signed' => 'Assinou?',
        'document_signers' => 'Assinantes do Documento',
        'signer_name' => 'Nome',
        'signer_email' => 'Endereço de e-mail',
        'signature_date' => 'Data',
        'name' => 'Nome do signatário',
        'email' => 'E-mail do signatário',
        'enter_full_name' => 'Digite o nome completo do signatário',
        'enter_email' => 'Por favor, indique o seu endereço de e-mail',
        'confirm_email' => 'Confirme seu endereço de e-mail',
    ],
    'accepted_at' => 'Aceito em',
    'signature' => [
        'no_signature' => 'Sem Assinatura',
        'no_signature_description' => 'Este documento não requer uma assinatura antes da aceitação.',
        'e_signature' => 'Usar assinatura eletrônica',
        'e_signature_description' => 'Este documento requer assinatura eletrônica antes da aceitação.',
        'signature' => 'Assinatura',
        'signatures' => 'Assinaturas',
        'signed_on' => 'Assinado em',
        'sign_ip' => 'Endereço IP',
        'verification_failed' => 'Não foi possível verificar seu endereço de e-mail como signatário, entre em contato com a pessoa que lhe enviou o documento para fornecer informações sobre o endereço de e-mail usado.',
        'accept_name' => 'Para aceitar, digite seu nome abaixo',
    ],
    'reactivated' => 'Documento reativado',
    'marked_as_lost' => 'Documento marcado com sucesso como perdido',
    'marked_as_accepted' => 'Documento marcado com sucesso como aceito',
    'actions' => [
        'mark_as_lost' => 'Marcar como Perdido',
        'mark_as_lost_message' => 'Esta ação marcará este documento como perdido e nenhum dos destinatários não poderá mais acessá-lo',
        'mark_as_accepted' => 'Marcar como Aceito',
        'reactivate' => 'Reativar',
        'undo_acceptance' => 'Desfazer aceitação',
    ],
    'cards' => [
        'by_type' => 'Documentos por tipo',
        'by_status' => 'Documentos por status',
        'sent_by_day' => 'Documentos enviados por dia',
    ],
    'recipients' => [
        'add' => 'Adicionar novo destinatário',
        'enter_full_name' => 'Digite o nome completo do destinatário',
        'enter_email' => 'Digite o endereço de e-mail do destinatário',
        'no_recipients' => 'Nenhum destinatário para enviar ao documento.',
        'is_sent' => 'Enviado?',
        'recipients' => 'Destinatários',
        'recipient_name' => 'Nome',
        'recipient_email' => 'Endereço de e-mail',
        'name' => 'Nome do Destinatário',
        'email' => 'E-mail do Destinatário',
    ],
    'view_type' => [
        'html_view_type' => 'Tipo de visualização HTML',
        'template_info' => 'Quando um modelo tiver um tipo de visão, depois de inserido, o tipo de visão do documento será atualizado com o tipo de modelo.',
        'nav_top' => [
            'name' => 'Navegação no Topo',
            'description' => 'Útil para documentos simples que não requerem navegação por títulos.',
        ],
        'nav_left' => [
            'name' => 'Navegação Esquerda',
            'description' => 'Útil para documentos que requerem navegação por cabeçalhos (:headingTagName).',
        ],
        'nav_left_full_width' => [
            'name' => 'Navegação Esquerda - Largura Total',
            'description' => 'A seção de conteúdo não tem margem, útil para documentos de largura total com cabeçalhos (:headingTagName).',
        ],
    ],
    'type' => [
        'type' => 'Tipo de Documento',
        'types' => 'Tipo de Documento',
        'name' => 'Nome',
        'default_type' => 'Tipo de Documento Padrão',
        'delete_primary_warning' => 'Você não pode excluir o tipo de documento principal.',
        'delete_usage_warning' => 'O tipo já está associado a documentos, portanto, não pode ser excluído.',
        'delete_is_default' => 'Este é um tipo de documento padrão, portanto, não pode ser excluído.',
        'cannot_change_visibility_on_default' => 'Este é um tipo padrão para toda a empresa, portanto, a visibilidade não pode ser alterada.',
    ],
    'template' => [
        'insert_template' => 'Inserir Modelo',
        'save_as_template' => 'Salvar como Modelo',
        'manage' => 'Gerenciar Modelos',
        'template' => 'Modelo de Documento',
        'templates' => 'Modelos de Documento',
        'create' => 'Criar Modelo',
        'name' => 'Nome do Modelo',
        'deleted' => 'Modelo excluído com sucesso',
        'share_with_team_members' => 'Compartilhar este modelo com outros membros da equipe?',
        'is_shared' => 'Compartilhado',
        'empty_state' => [
            'title' => 'Você não criou nenhum modelo.',
            'description' => 'Crie documentos mais rápido usando modelos predefinidos.',
        ],
    ],
    'workflows' => [
        'triggers' => [
            'status_changed' => 'Status do Documento Alterado',
        ],
        'actions' => [
            'fields' => [
                'email_to_contact' => 'Contato principal do documento',
                'email_to_company' => 'Empresa principal do documento',
                'email_to_owner_email' => 'E-mail do proprietário do documento',
                'email_to_creator_email' => 'E-mail do criador do documento',
            ],
        ],
    ],
    'timeline' => [
        'heading' => 'Documento Criado',
    ],
    'mail_placeholders' => [
        'assigneer' => 'O nome de usuário que atribuiu o documento',
    ],
    'notifications' => [
        'signed' => 'O documento :title foi assinado',
        'assigned' => 'Você foi atribuído ao documento :title por :user',
        'accepted' => 'O documento :title foi aceito',
        'viewed' => 'O documento :title foi visualizado',
    ],
    'filters' => [
        'status_disabled' => 'O status é usado no filtro atual, portanto, você não pode selecionar o status nesta seção',
    ],
    'activity' => [
        'created' => 'O documento foi criado por :user',
        'sent' => 'O documento foi enviado por :user',
        'marked_as_lost' => ':user marcou o documento como perdido',
        'marked_as_accepted' => ':user marcou o documento como aceito',
        'marked_as_draft' => ':user marcou o documento como rascunho',
        'sent_recipient' => ':name - :email',
        'signed' => 'O documento assinado por :signer_name',
        'accepted' => 'O documento foi aceito',
        'viewed' => 'O documento foi visualizado',
        'downloaded' => 'O documento PDF foi baixado',
    ],
    'empty_state' => [
        'title' => 'Você não criou nenhum documento.',
        'description' => 'Feche negócios mais rápido enviando documentos rastreáveis bem apresentados.',
    ],
    'export' => 'Exportar Documentos',
];
